SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Static Public Member Functions | List of all members
SLNet::RakThread Class Reference

`#include <slikenet/thread.h>`

## Static Public Member Functions

static int | Create (void *start_address(void *), void *arglist, int priority=0)

## Detailed Description

Definition at line 54 of file thread.h.

## Member Function Documentation

int RakThread::Create | ( | void * | start_addressvoid *,
|  | void * | arglist,
|  | int | priority = `0`
| ) |  |

static

Create a thread, simplified to be cross platform without all the extra junk To then start that thread, call RakCreateThread(functionName, arguments);

Parameters

  [in] | start_address | Function you want to call
  [in] | arglist | Arguments to pass to the function

Returns
  0=success. >0 = error code

Definition at line 49 of file RakThread.cpp.

References MAX_ALLOCA_STACK_ALLOCATION, and RakAssert.

Referenced by SLNet::RNS2_Berkley::CreateRecvPollingThread(), ThreadPool< InputType, OutputType >::StartThreads(), and SLNet::RakPeer::Startup().

The documentation for this class was generated from the following files:

- Source/include/slikenet/thread.h
- Source/src/RakThread.cpp